Monitor user reports about imaginary conflicts
Closed, ResolvedPublic

Description

At https://www.mediawiki.org/wiki/Topic:Uny3l2uq8g8amp6w one user reports to get "the edit conflict viewer on every talk page I post on". Note this happened with the "inline" interface, before deploying the new "split" one.

Current status as of 2018-11-06:

  • We don't know if more users are affected.
  • We have not been able to reproduce the issue.
  • We assume this is a core issue and has nothing to do with the TwoColConflict extension.
  • If it is an issue with our extension, it's unlikely it will disappear with the planned T208319: Switch the TwoColConflict beta feature to its new look because both designs share code, and an issue as fundamental as the reported one is most likely in the shared part of the codebase.

Change 472170 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Fix harmless edits turning into conflicts

https://gerrit.wikimedia.org/r/472170

Change 472175 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@wmf/1.33.0-wmf.3] Fix harmless edits turning into conflicts

https://gerrit.wikimedia.org/r/472175

Change 472170 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Fix harmless edits turning into conflicts

https://gerrit.wikimedia.org/r/472170

Jarekt added a subscriber: Jarekt.Nov 7 2018, 8:40 PM

I also got imaginary conflict on my talk page trying to reply to someone, after I pressed "view changes" button. There was not way to preview or save my changes other can copy my reply, go back to reading mode, and start editing again. But if I clicked "view changes" than I would get conflict again. I tried to save my reply anyway and got this messed up page.

This happened to me just now. Best I can tell is that it happens if one does a Preview before submitting. I could reproduce it several times in the span of a few minutes. I got it on this page but please don't use that page to try to reproduce this. Here's what I did:

  • Go to page and make changes
  • Do preview
  • I see preview but also get edit conflict view with the last edit on that page which was made two days ago

If I make changes and just hit Submit, it doesn't give me the conflict view.

It seems like the patch above was part of today's SWAT but I'll note that the bug is still happening.

GKFX added a subscriber: GKFX.Nov 8 2018, 12:18 AM

I get it on a page which isn't a talk page: https://commons.wikimedia.org/w/index.php?title=File:Vendimia_mecanizada.ogv&action=edit. I've tried navigating away and coming back; the issue remains.

Hi everyone, thanks for reporting the issue! We are disabling the feature until we found the bug, this really does not sound good. If you are NOT a beta feature user of TwoColConflict, and still had these issues, please let us know!

thiemowmde triaged this task as Unbreak Now! priority.Nov 8 2018, 10:47 AM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptNov 8 2018, 10:47 AM

Change 472409 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Disable wmgUseTwoColConflict everywhere

https://gerrit.wikimedia.org/r/472409

Change 472409 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable wmgUseTwoColConflict everywhere

https://gerrit.wikimedia.org/r/472409

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-11-08T10:52:29Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Disable wmgUseTwoColConflict everywhere T209012 T208840 T195724 (duration: 00m 58s)

Addshore lowered the priority of this task from Unbreak Now! to High.Nov 8 2018, 10:54 AM
Addshore added a subscriber: Addshore.

This is no longer UBN as the feature is disabled

Change 472411 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[operations/mediawiki-config@master] Revert "Disable wmgUseTwoColConflict everywhere"

https://gerrit.wikimedia.org/r/472411

Change 472175 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@wmf/1.33.0-wmf.3] Fix harmless edits turning into conflicts

https://gerrit.wikimedia.org/r/472175

Mentioned in SAL (#wikimedia-operations) [2018-11-08T12:29:33Z] <zfilipin@deploy1001> Synchronized php-1.33.0-wmf.3/extensions/TwoColConflict: SWAT: [[gerrit:472175|Fix harmless edits turning into conflicts (T205942 T208840 T209012 T209036)]] (duration: 00m 55s)

Change 472431 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[operations/mediawiki-config@master] Re-enable wmgUseTwoColConflict on group0 only

https://gerrit.wikimedia.org/r/472431

Change 472431 merged by jenkins-bot:
[operations/mediawiki-config@master] Re-enable wmgUseTwoColConflict on group0 only

https://gerrit.wikimedia.org/r/472431

Mentioned in SAL (#wikimedia-operations) [2018-11-08T12:53:22Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Re-enable wmgUseTwoColConflict on group0 only T205942 T208840 T209012 T209036 (duration: 00m 54s)

Change 472434 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[operations/mediawiki-config@master] Re-enable wmgUseTwoColConflict on dewiki

https://gerrit.wikimedia.org/r/472434

Change 472434 merged by jenkins-bot:
[operations/mediawiki-config@master] Re-enable wmgUseTwoColConflict on dewiki

https://gerrit.wikimedia.org/r/472434

Mentioned in SAL (#wikimedia-operations) [2018-11-08T13:07:46Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Re-enable wmgUseTwoColConflict on dewiki - T205942 T208840 T209012 T209036 (duration: 00m 53s)

Wargo added a subscriber: Wargo.Nov 8 2018, 5:09 PM

Change 472411 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Disable wmgUseTwoColConflict everywhere"

https://gerrit.wikimedia.org/r/472411

Mentioned in SAL (#wikimedia-operations) [2018-11-08T19:35:40Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:472411|Revert "Disable wmgUseTwoColConflict everywhere"]] T205942 T208840 T209012 T209036 (duration: 00m 54s)

Lea_WMDE closed this task as Resolved.Nov 15 2018, 10:25 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-11-06 board.
Lea_WMDE claimed this task.

All reports after the changes were positive :)

All reports after the changes were positive :)

\o/